#
# Conditional build:
%bcond_with	tests	# do perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	X11
%define		pnam	GUITest
Summary:	X11::GUITest - GUI testing/interaction facilities
Summary(pl.UTF-8):	X11::GUITest - ułatwienia do testowania/interakcji z GUI
Name:		perl-X11-GUITest
Version:	0.25
Release:	9
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/X11/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	c2ea2418a5cef380e260dce9230c1d8b
URL:		http://search.cpan.org/dist/X11-GUITest/
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRequires:	xorg-lib-libX11-devel
BuildRequires:	xorg-lib-libXext-devel
BuildRequires:	xorg-lib-libXtst-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This Perl package is intended to facilitate the testing of GUI
applications by means of user emulation. It can be used to
test/interact with GUI applications which have been built upon the X
library or toolkits (i.e., GTK+, Xt, Qt, Motif, etc.) that "wrap" the
X library's functionality.

%description -l pl.UTF-8
Ten pakiet Perla ma ułatwić testowanie aplikacji z graficznym
interfejsem użytkownika drogą emulacji użytkownika. Może być używany
do testowania lub interakcji z aplikacjami GUI opartymi o bibliotekę X
lub toolkity (takie jak GTK+, Xt, Qt, Motif itp.) obudowujące
funkcjonalność biblioteki X.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc docs/{Changes,ToDo,X11-GUITest*}
%dir %{perl_vendorarch}/X11
%{perl_vendorarch}/X11/GUITest.pm
%dir %{perl_vendorarch}/auto/X11
%dir %{perl_vendorarch}/auto/X11/GUITest
%attr(755,root,root) %{perl_vendorarch}/auto/X11/GUITest/GUITest.so
%{_mandir}/man3/*
%changelog
* Sun Jun 11 2017 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-X11-GUITest.git;a=log;h=master

* Sun Jun 11 2017 Jan Rękorajski <baggins@pld-linux.org> bc76d48
- perl req/prov fix
- release 9 (by relup.sh)

* Sun Jun 11 2017 Jan Rękorajski <baggins@pld-linux.org> 4d08546
- rebuild with perl 5.26
- release 8 (by relup.sh)

* Sun Oct 30 2016 Jan Rękorajski <baggins@pld-linux.org> 00597c2
- rebuild with perl 5.24.0
- release 7 (by relup.sh)

* Thu Dec 24 2015 Jan Rękorajski <baggins@pld-linux.org> 7b2b2a0
- release 6 (by relup.sh)

* Thu Feb 26 2015 Jan Rękorajski <baggins@pld-linux.org> 190222f
- x32 rebuild
- release 5 (by relup.sh)

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> 355b40e
- release 4 (by relup.sh)

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> b63efe0
- removed zero-sized .bs file

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> 206983d
- rebuild for perl 5.20
- release 3 (by relup.sh)

* Sat Jun 08 2013 Jan Rękorajski <baggins@pld-linux.org> 09388a5
- rebuild with perl 5.18.0
- release 2 (by relup.sh)

* Sun Jan 15 2012 zbyniu <zbyniu@pld-linux.org> 4094e10
- up to 0.25

* Sun Jun 06 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 53a6e9a
- release 4

* Sun Feb 10 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 7f89941
- rel 3

* Sat Mar 31 2007 Jakub Bogusz <qboosh@pld-linux.org> cfd7dfd
- generic URL
- sorted BRs

* Thu Mar 29 2007 radek <radek@pld-linux.org> 0052b4b
- not noarch, BR: xorg* instead of XFree86

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 60caa1b
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 5534080
- converted to UTF-8

* Sat Oct 21 2006 ankry <ankry@pld-linux.org> f640481
- ver. 0.21

* Fri Jan 13 2006 Jakub Bogusz <qboosh@pld-linux.org> 1edba68
- pl

* Thu Jan 12 2006 Karol Krenski <charles@pld-linux.org> 335123d
- new

